﻿.app-ui-panel {
	position: fixed;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	z-index: 100;
	background-color: rgba(0, 0, 0, 0);
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flexbox;
	display: -o-flex;
	display: flex;
	-webkit-justify-content: center;
	-moz-justify-content: center;
	-ms-flex-pack: center;
	-o-justify-content: center;
	justify-content: center;
	-webkit-align-items: center;
	-moz-align-items: center;
	-ms-flex-align: center;
	-o-align-items: center;
	align-items: center;

	-webkit-transition: background-color 600ms cubic-bezier(0.19, 1, 0.22, 1);
	-moz-transition: background-color 600ms cubic-bezier(0.19, 1, 0.22, 1);
	-ms-transition: background-color 600ms cubic-bezier(0.19, 1, 0.22, 1);
	-o-transition: background-color 600ms cubic-bezier(0.19, 1, 0.22, 1);
	transition: background-color 600ms cubic-bezier(0.19, 1, 0.22, 1);

	-webkit-transform: translate3d(0, 0, 0);
}

.app-ui-panel.show {
	background-color: rgba(0, 0, 0, 0.75);
}

.app-ui-panel.dismiss {
	-webkit-transition: background-color 250ms ease-in;
	-moz-transition: background-color 250ms ease-in;
	-ms-transition: background-color 250ms ease-in;
	-o-transition: background-color 250ms ease-in;
	transition: background-color 250ms ease-in;
	background-color: rgba(0, 0, 0, 0);
}

.app-ui-panel .content {
	display: inline-block;
	opacity: 0;
	padding: 10px;
	background-color: #FEFEFE;
    max-height: 400px;
    overflow: auto;
	text-align: left;
	border-style: solid;
	border-color: transparent;
	border-width: 5px 6px 7px 6px;
	
	background-clip: padding-box;

	-webkit-transform: translate3d(0, -60px, 0);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.5);
}

.app-ui-panel.show .content {
	-webkit-transition: 600ms cubic-bezier(0.19, 1, 0.22, 1);
	-moz-transition: 600ms cubic-bezier(0.19, 1, 0.22, 1);
	-ms-transition: 600ms cubic-bezier(0.19, 1, 0.22, 1);
	-o-transition: 600ms cubic-bezier(0.19, 1, 0.22, 1);
	transition: 600ms cubic-bezier(0.19, 1, 0.22, 1);

	opacity: 1;

	-webkit-transform: none;
}

.app-ui-panel.dismiss .content {
	-webkit-transition: 250ms ease-in;
	-moz-transition: 250ms ease-in;
	-ms-transition: 250ms ease-in;
	-o-transition: 250ms ease-in;
	transition: 250ms ease-in;

	opacity: 0;

	-webkit-transform: translate3d(0, 80px, 0);
}

html.no-borderimage .app-ui-panel .content {
	border: none;
	padding: 10px;
	border-radius: 4px;
	box-shadow: 0 1px 3px rgba(70, 70, 70, 0.5);
}

.app-ui-panel .content.loading {
	background-position: center center;
	background-repeat: no-repeat;
	background-image: url(/ui/graphics/loading.gif);
}

.app-ui-panel .title {
	height: 32px;
	font-size: 1.5em;
	text-align: center;
}

.app-ui-panel #file-player {
	width: 720px;
	height: 404px;
	font-size: 0;
}